Eclipse Platform Release 3.7

## org.eclipse.equinox.p2.metadata
Class MetadataFactory.InstallableUnitFragmentDescription

    java.lang.Object
      org.eclipse.equinox.p2.metadata.MetadataFactory.InstallableUnitDescription
          org.eclipse.equinox.p2.metadata.MetadataFactory.InstallableUnitFragmentDescription

Enclosing class:
  MetadataFactory

    public static class MetadataFactory.InstallableUnitFragmentDescription

extends MetadataFactory.InstallableUnitDescription

A description containing information about an installable unit fragment. Once created, installable units are immutable. This description class allows a client to build up the state for an installable unit fragment incrementally, and then finally produce the resulting immutable unit.

Field Summary

Fields inherited from class org.eclipse.equinox.p2.metadata.MetadataFactory.InstallableUnitDescription
`PROP_TYPE_CATEGORY, PROP_TYPE_FRAGMENT, PROP_TYPE_GROUP, PROP_TYPE_PATCH`

Constructor Summary
`MetadataFactory.InstallableUnitFragmentDescription()`

Method Summary
`void` `setHost(IRequirement... hostRequirement)` Specify the requirements identifying the host to which the installable unit fragment should be attached to.

Methods inherited from class org.eclipse.equinox.p2.metadata.MetadataFactory.InstallableUnitDescription

`addProvidedCapabilities, addRequiredCapabilities, addRequirements, addTouchpointData, getId, getMetaRequiredCapabilities, getMetaRequirements, getProvidedCapabilities, getRequiredCapabilities, getRequirements, getTouchpointData, getUpdateDescriptor, getVersion, setArtifacts, setCapabilities, setCopyright, setFilter, setFilter, setId, setLicenses, setMetaRequiredCapabilities, setMetaRequirements, setProperty, setRequiredCapabilities, setRequirements, setSingleton, setTouchpointType, setUpdateDescriptor, setVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetadataFactory.InstallableUnitFragmentDescription

    public MetadataFactory.InstallableUnitFragmentDescription()

Method Detail

### setHost

    public void setHost(IRequirement... hostRequirement)

  Specify the requirements identifying the host to which the installable unit fragment should be attached to.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.